This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 198969 - Wine dependencies... pretty much all packages.
Wine dependencies... pretty much all packages.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-15 00:42 EDT by Gian Paolo Mureddu
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-18 05:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gian Paolo Mureddu 2006-07-15 00:42:40 EDT
Description of problem:
Updating to either wine-0.9.16 or 0.9.17 results in installation of pretty much
all other wine packages added as dependencies. Attempting to install wine-0.9.17
only will result in additional packages as dependencies, pretty much every other
package with the exception of wine-arts, the follwing will be added deps for the
 wine package:wine-nas-0.9.17-1.fc5
wine-twain-0.9.17-1.fc5
wine-cms-0.9.17-1.fc5
wine-core-0.9.17-1.fc5
wine-capi-0.9.17-1.fc5
wine-jack-0.9.17-1.fc5
wine-esd-0.9.17-1.fc5
wine-ldap-0.9.17-1.fc5

Version-Release number of selected component (if applicable):
0.9.16 and 0.9.17

How reproducible:
Always

Steps to Reproduce:
1. If you have wine installed, remove it.
2. Launch pirut and try to install only the package wine-0.9.17
3. All the other packages will be marked as dependencies.
  
Actual results:
The other packages are added as dependencies when only the wine package is set
to be installed.

Expected results:
If the package was split into several other packages, one expects that these are
optional and you wouldn't require them to run the main package, as it wouldn't
make sense to have several packages to install a single packate, instead of
having that package as one monolithic one.

Additional info:
I have not looked into it yet, but I'd suspect that the Requires declarations of
the .spec should be cleaned up.
Comment 1 Andreas Bierfert 2006-07-18 05:08:14 EDT
The package is just fine. Please _read_ the description: (rpm -qi wine)
[...]
In Fedora Extras wine is actually a meta-package which will install everything
you need for wine to work smoothly. If you don't want to install everything
take a look at the wine-* packages.

So if you don't want the dependencies just don't install the meta package for
the dependencies.
Comment 2 Gian Paolo Mureddu 2006-07-18 05:20:35 EDT
It actually came as a surprise, as when I installed wine, I got to choose the
packages I wanted in Pirut. Then all of a sudden in an update, it added all the
dependencies and installed them. My guess is that the actual wine (as referenced
before) package is wine-core, so only wine-core is really needed, and the other
files provide their descriptive functionality (jack, ldap, cms, esd, etc). The
fact that from one update to the next this was the behavior is what made me post
this as a bug, but I guess there was no easy way to bosolet the previous one.

Thanks for the clarification, though.
Comment 3 Andreas Bierfert 2006-07-18 05:26:37 EDT
No problem and I am sorry that it went this way for you. I tested it here
locally a lot and it worked not pulling in the 'new' wine.
Comment 4 Gian Paolo Mureddu 2006-07-18 05:29:16 EDT
At least I know now how to install it again for when 0.9.18 is released. Thanks
again for your reply, most appreciated.

Note You need to log in before you can comment on or make changes to this bug.